<?php
/**
 * Created by PhpStorm.
 * User: devweb
 * Date: 17/03/21
 * Time: 09:15
 */

class BaseLogClass
{

    public $dataHora;
    public $tipoEnviado;
    public $tipoIntegracao = null;
    public $origem;
    public $tipoLog;
    public $tipoId = null;
    public $entidadeId = null;
    public $url = null;
    public $metodo = null;
    public $httpCode = null;
    public $retorno;
    public $enviado = null;
    public $md5 = null;

    /**
     * @return mixed
     */
    public function getDataHora()
    {
        return $this->dataHora;
    }

    /**
     * @param mixed $dataHora
     */
    public function setDataHora($dataHora)
    {
        $this->dataHora = $dataHora;
    }

    /**
     * @return mixed
     */
    public function getTipoEnviado()
    {
        return $this->tipoEnviado;
    }

    /**
     * @param mixed $tipoEnviado
     */
    public function setTipoEnviado($tipoEnviado)
    {
        $this->tipoEnviado = json_encode($tipoEnviado);
    }

    /**
     * @return null
     */
    public function getTipoIntegracao()
    {
        return $this->tipoIntegracao;
    }

    /**
     * @param null $tipoIntegracao
     */
    public function setTipoIntegracao($tipoIntegracao)
    {
        $this->tipoIntegracao = $tipoIntegracao;
    }

    /**
     * @return mixed
     */
    public function getOrigem()
    {
        return $this->origem;
    }

    /**
     * @param mixed $origem
     */
    public function setOrigem($origem)
    {
        $this->origem = $origem;
    }

    /**
     * @return mixed
     */
    public function getTipoLog()
    {
        return $this->tipoLog;
    }

    /**
     * @param mixed $tipoLog
     */
    public function setTipoLog($tipoLog)
    {
        $this->tipoLog = $tipoLog;
    }

    /**
     * @return null
     */
    public function getTipoId()
    {
        return $this->tipoId;
    }

    /**
     * @param null $tipoId
     */
    public function setTipoId($tipoId)
    {
        $this->tipoId = $tipoId;
    }

    /**
     * @return null
     */
    public function getEntidadeId()
    {
        return $this->entidadeId;
    }

    /**
     * @param null $entidadeId
     */
    public function setEntidadeId($entidadeId)
    {
        $this->entidadeId = $entidadeId;
    }

    /**
     * @return null
     */
    public function getUrl()
    {
        return $this->url;
    }

    /**
     * @param null $url
     */
    public function setUrl($url)
    {
        $this->url = $url;
    }

    /**
     * @return null
     */
    public function getMetodo()
    {
        return $this->metodo;
    }

    /**
     * @param null $metodo
     */
    public function setMetodo($metodo)
    {
        $this->metodo = $metodo;
    }

    /**
     * @return null
     */
    public function getHttpCode()
    {
        return $this->httpCode;
    }

    /**
     * @param null $httpCode
     */
    public function setHttpCode($httpCode)
    {
        $this->httpCode = $httpCode;
    }

    /**
     * @return mixed
     */
    public function getRetorno()
    {
        return $this->retorno;
    }

    /**
     * @param mixed $retorno
     */
    public function setRetorno($retorno)
    {
        $this->retorno = json_encode($retorno);
    }

    /**
     * @return null
     */
    public function getEnviado()
    {
        return $this->enviado;
    }

    /**
     * @param null $enviado
     */
    public function setEnviado($enviado)
    {
        $this->enviado = $enviado;
    }

    /**
     * @return null
     */
    public function getMd5()
    {
        return $this->md5;
    }

    /**
     * @param null $md5
     */
    public function setMd5($md5)
    {
        $this->md5 = md5(json_encode($md5));
    }



}